> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Follow sport updates
> Used to subscribe a customer to real-time sports updates.
Note: This API method relates to an optional project integration for Real-time sport updates that must be enabled first.
After receiving the details of the user or device, Xtremepush will add them to a list which can be found under Data > Audiences > Sport feeds.
## OpenAPI ````json POST /realtime-sport-updates/follow { "openapi": "3.1.0", "info": { "title": "external-api", "version": "1" }, "servers": [ { "url": "https://api.eu.xtremepush.com/api/external" } ], "paths": { "/realtime-sport-updates/follow": { "post": { "summary": "Follow sport updates", "description": "Used to subscribe a customer to real-time sports updates.\n\nNote: This API method relates to an optional project integration for Real-time sport updates that must be enabled first.
\n\nAfter receiving the details of the user or device, Xtremepush will add them to a list which can be found under Data > Audiences > Sport feeds.
", "operationId": "realtime-sport-follow", "requestBody": { "content": { "application/json": { "schema": { "type": "object", "required": [ "apptoken", "user_id", "event_id" ], "properties": { "apptoken": { "type": "string", "description": "Your App token" }, "user_id": { "type": "string", "description": "The external user ID to subscribe to sport updates" }, "event_id": { "type": "string", "description": "The sport event ID to follow" } } }, "examples": { "Result": { "value": { "apptoken": "YOUR_APPTOKEN", "sport_event_id": "sr:sport_event:123", "item": "678345" } } } } } }, "responses": { "200": { "description": "200", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "true", "default": "true" }, "code": { "type": "integer", "example": "200", "default": "0" }, "message": { "type": "string", "example": "List item is successfully created" } } }, "examples": { "Result": { "value": { "success": "true", "code": "200", "message": "List item is successfully created" } } } } } }, "400": { "description": "400", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "false", "default": "true" }, "code": { "type": "integer", "example": "400", "default": "0" }, "message": { "type": "string", "example": "Error message" } } }, "examples": { "Result": { "value": { "success": "false", "code": "400", "message": "Error message" } } } } } } }, "tags": [ "Real-time methods" ] } } } } ````